Hypervisoren auflisten
curl --request GET \
--url https://api.devin.ai/v3/enterprise/hypervisors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/hypervisors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/hypervisors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"cloud_provider_instance_id": "<string>",
"created_at": 123,
"hypervisor_id": "<string>",
"last_heartbeat": 123,
"status": "<string>",
"utilization_percentage": 123
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Hypervisoren (Enterprise)
Hypervisoren auflisten
GET
/
v3
/
enterprise
/
hypervisors
Hypervisoren auflisten
Berechtigungen
ViewEnterpriseInfraDetails auf Enterprise-Ebene.Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Abfrageparameter
Erforderlicher Bereich:
1 <= x <= 200Verfügbare Optionen:
available, restarting, disconnected, terminated, draining, all Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
Cursor zum Abrufen der nächsten Seite oder None, wenn es keine weitere Seite gibt.
Ob nach dieser Seite weitere Elemente verfügbar sind.
Optionale Gesamtanzahl (kann aus Leistungsgründen ausgelassen werden).

